MagickMind
  1. Mindspaces
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
  • API Reference
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
        • Get End-User by ID
        • Update End-User
        • Query End-Users
        • Delete End-User
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
          POST
        • Update Mindspace
          PUT
        • Get Mindspace by ID
          GET
        • Get Mindspace List
          GET
        • Delete Mindspace
          DELETE
        • Get Mindspace Messages
          GET
        • Delete Mindspace
          DELETE
        • Add Mindspace Users by ID
          POST
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
      • Runtime
        • Get Effective Personality
        • Invalidate Cache
  1. Mindspaces

Create Mindspace

Testing
Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
POST
/v1/mindspaces

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.magickmind.ai/v1/mindspaces' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Recycled Concrete Tuna",
    "description": "The automobile layout consists of a front-engine design, with transaxle-type transmissions mounted at the rear of the engine and four wheel drive",
    "project_id": "47cc766ec1aa7b4c5bdb4d6b",
    "corpus_ids": [
    ],
    "user_ids": [
    ],
    "type": "GROUP"
}'
Response Response Example
{
    "success": false,
    "message": "Nam harum sodalitas testimonium timidus delibero caritas volup comburo thermae. Reiciendis cena usus cauda stella adfectus. Ipsum tabgo victus derideo abundans.",
    "mindspace": {
        "id": "43",
        "name": "Eva Borer",
        "description": "Mollitia curriculum voluptatibus conduco cumque cubicularis supplanto vulticulus creptio sufficio. Virga ver amo. Delego sub magni barba admoneo cinis tabella architecto. Cohaero conscendo dolorem thymum cito accedo corrupti sui accendo. Magnam explicabo tenetur cruciamentum demens cura teneo thymum. Blanditiis torrens altus villa pecto thorax quas casso. Tempora totidem absens ventito peior succedo cernuus dapifer. Supellex carus teneo.",
        "corpus_ids": [
            "eu",
            "Lorem ex"
        ],
        "user_ids": [
            "in ex Lorem dolore adipisicing",
            "commodo",
            "consectetur exercitation aliquip eiusmod deserunt"
        ],
        "type": "group",
        "created_at": "2025-12-07T14:27:38.210Z",
        "updated_at": "2026-06-11"
    }
}
Previous
Delete Project
Next
Update Mindspace
Built with